import request from '@/utils/request'

// 查询LineDirection列表
export function listLineDirection(query) {
  return request({
    url: '/api/v1/line-direction',
    method: 'get',
    params: query
  })
}

// 查询LineDirection详细
export function getLineDirection(id) {
  return request({
    url: '/api/v1/line-direction/' + id,
    method: 'get'
  })
}

// 新增LineDirection
export function addLineDirection(data) {
  return request({
    url: '/api/v1/line-direction',
    method: 'post',
    data: data
  })
}

// 修改LineDirection
export function updateLineDirection(data) {
  return request({
    url: '/api/v1/line-direction/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除LineDirection
export function delLineDirection(data) {
  // 发送一个delete请求，请求的url为/api/v1/line-direction，请求的数据为data
  return request({
    url: '/api/v1/line-direction',
    method: 'delete',
    data: data
  })
}

export function reloadDirectionGroup(){
  return request({
    url: '/api/v1/line-direction/reload-group',
    method: 'put'
  })
}